import 'package:flutter/material.dart';

class BubbleText extends StatelessWidget {
  const BubbleText({
    Key? key,
    required this.text,
    required this.isMe,
    required this.textStyle,
  }) : super(key: key);

  ///Message
  final String text;

  ///check if message is from me or the other user
  final bool isMe;

  ///Style that will be applied on text
  final TextStyle? textStyle;

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Colors.transparent,
      child: SelectableText(text, style: textStyle),
    );
  }
}
